StaticCompilationMetadataKeys (Groovy 5.1.0)
Description: declaration: package: org.codehaus.groovy.transform.sc, enum: StaticCompilationMetadataKeys

Package org.codehaus.groovy.transform.sc

# Enum StaticCompilationMetadataKeys

java.lang.Object
java.lang.Enum<StaticCompilationMetadataKeys>
org.codehaus.groovy.transform.sc.StaticCompilationMetadataKeys

All Implemented Interfaces:
  `Serializable`, `Comparable<StaticCompilationMetadataKeys>`, `java.lang.constant.Constable`

public enum StaticCompilationMetadataKeys extends Enum<StaticCompilationMetadataKeys>
Static compilation AST node metadata keys.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BINARY_EXP_TARGET`
  Tells which method should be used in a binary expression.
  `COMPONENT_TYPE`
  For list.property expressions, we need the inferred component type.
  `DYNAMIC_OUTER_NODE_CALLBACK`
  Callback for dynamic classes that contain statically compiled inner classes or methods.
  `PRIVATE_BRIDGE_METHODS`
  Private bridge methods are methods used to access a nestmate's method.
  `PRIVATE_FIELDS_ACCESSORS`
  Deprecated.
  `PRIVATE_FIELDS_MUTATORS`
  Deprecated.
  `PROPERTY_OWNER`
  The type of the class which owns the property.
  `RECEIVER_OF_DYNAMIC_PROPERTY`
  If a receiver is the receiver of a dynamic property (for mixed-mode compilation).
  `STATIC_COMPILE_NODE`
  Marks a section of code for static compilation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StaticCompilationMetadataKeys`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StaticCompilationMetadataKeys[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATIC_COMPILE_NODE

    public static final StaticCompilationMetadataKeys STATIC_COMPILE_NODE
    Marks a section of code for static compilation.

  - ### BINARY_EXP_TARGET

    public static final StaticCompilationMetadataKeys BINARY_EXP_TARGET
    Tells which method should be used in a binary expression.

  - ### PRIVATE_BRIDGE_METHODS

    public static final StaticCompilationMetadataKeys PRIVATE_BRIDGE_METHODS
    Private bridge methods are methods used to access a nestmate's method.

  - ### PRIVATE_FIELDS_ACCESSORS

    @Deprecated(since="5.0.0") public static final StaticCompilationMetadataKeys PRIVATE_FIELDS_ACCESSORS
    Deprecated.
    Private fields accessors are methods used to read a nestmate's field.

  - ### PRIVATE_FIELDS_MUTATORS

    @Deprecated(since="5.0.0") public static final StaticCompilationMetadataKeys PRIVATE_FIELDS_MUTATORS
    Deprecated.
    Private fields mutators are methods used to write a nestmate's field.

  - ### DYNAMIC_OUTER_NODE_CALLBACK

    public static final StaticCompilationMetadataKeys DYNAMIC_OUTER_NODE_CALLBACK
    Callback for dynamic classes that contain statically compiled inner classes or methods.

  - ### PROPERTY_OWNER

    public static final StaticCompilationMetadataKeys PROPERTY_OWNER
    The type of the class which owns the property.

  - ### COMPONENT_TYPE

    public static final StaticCompilationMetadataKeys COMPONENT_TYPE
    For list.property expressions, we need the inferred component type.

  - ### RECEIVER_OF_DYNAMIC_PROPERTY

    public static final StaticCompilationMetadataKeys RECEIVER_OF_DYNAMIC_PROPERTY
    If a receiver is the receiver of a dynamic property (for mixed-mode compilation).

- ## Method Details

  - ### values

    public static StaticCompilationMetadataKeys[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StaticCompilationMetadataKeys valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null